<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Form con dialog</title>
</head>

<body>
    <form action="">
        <fieldset>
            <legend>Datos personales</legend>
            <label for="nombre">Nombre:</label>
            <input type="text" name="nombre" id="nombre">
            <br>
            <label for="edad">Edad:</label>
            <input type="text" name="edad" id="edad">
        </fieldset>
        <fieldset>
            <legend>Cultura general</legend>
            <section>
                <span>Capital de Noruega:</span>
                <input type="radio" name="capitalNoruega" id="copenhague" value="copenhague">
                <label for="copenhague">Copenhague</label>
                <input type="radio" name="capitalNoruega" id="helsinki" value="helsinki">
                <label for="helsinki">Helsinki</label>
                <input type="radio" name="capitalNoruega" id="oslo" value="oslo">
                <label for="oslo">Oslo</label>
            </section>
            <section>
                <span>Fecha de la Revolución francesa:</span>
                <input type="radio" name="revFrancesa" id="A1492" value="A1492">
                <label for="A1492">1492</label>
                <input type="radio" name="revFrancesa" id="A1789" value="A1789">
                <label for="A1789">1789</label>
                <input type="radio" name="revFrancesa" id="A1917" value="A1917">
                <label for="A1917">1917</label>
            </section>
        </fieldset>

        <input type="submit" value="Enviar">
        <input type="reset" value="Borrar">
    </form>

    <form>
        <h1>HTML5 Number input</h1>
        <p>
            <strong>Ejemplo 1</strong>
        </p>
        <label for="edad1">Introduce tu edad:</label>
        <input type="number" name="edad1" id="edad1">
        <input type="submit" value="Enviar">
        <p>
            <strong>Ejemplo 2</strong>
        </p>
        <label for="edad2">Introduce tu edad: (min=18 max=99, obligatorio)</label>
        <input type="number" name="edad2" id="edad2" min="18" max="99" required>
        <input type="submit" value="Enviar">
    </form>
    <button onclick="abrirDialog()">Abrir dialog...</button>
    <dialog id="dialog">
        <p onclick="this.style.color = 'red'">Click</p>
        <p ondblclick="this.style.color = 'red'">Doble click</p>
        <p onmouseup="this.style.color = 'red'">Mouse up</p>
        <p onmousedown="this.style.color = 'red'">Mouse down</p>
        <p onmousemove="this.style.color = 'red'">Mouse move</p>
        <p onmouseover="this.style.color = 'red'">Mouse over</p>
        <p onmouseout="this.style.color = 'red'">Mouse out</p>
    </dialog>
</body>
<script>
    function abrirDialog() {
        document.querySelector("#dialog").show();
    }
</script>

</html>